opensesh docs

Send a speaker campaign

POST
/events/{eventId}/campaigns

Sends a templated or free-form email to the given event contacts and records the campaign.

Authorization

bearerAuth
AuthorizationBearer <token>

An organization API key (osk_…)

In: header

Path Parameters

eventId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/events/string/campaigns" \  -H "Content-Type: application/json" \  -d '{    "templateId": "string",    "subject": "string",    "body": "string",    "contactIds": [      "string"    ]  }'
{  "campaign": {    "id": "string",    "createdAt": "string",    "updatedAt": "string",    "eventId": "string",    "templateId": "string",    "subjectSnapshot": "string",    "bodySnapshot": "string",    "recipientFilter": {},    "status": "draft",    "createdByUserId": "string",    "createdByApiKeyId": "string",    "sentAt": "string"  },  "sent": 0,  "failed": 0}